import r from "./index-typeof2.js";
import u from "./index-toDate.js";
import a from "./index-requiredArgs.js";
function m(e) {
  a(1, arguments);
  var n;
  if (e && typeof e.forEach == "function")
    n = e;
  else if (r(e) === "object" && e !== null)
    n = Array.prototype.slice.call(e);
  else
    return /* @__PURE__ */ new Date(NaN);
  var o;
  return n.forEach(function(f) {
    var t = u(f);
    (o === void 0 || o > t || isNaN(t.getDate())) && (o = t);
  }), o || /* @__PURE__ */ new Date(NaN);
}
export {
  m as default
};
